<?php
include('include/config.php');
include_once("include/main.inc.php");
date_default_timezone_set('Asia/Kolkata');
$enq_date = date('Y-m-d H:i:s');
$admin_sql=mysqli_query($dbconn, "select * from admin_details where slno ='1'");
$admin_res=mysqli_fetch_array($admin_sql);
$referer = $_SERVER['HTTP_REFERER'];
$ip=$_SERVER['REMOTE_ADDR'];
if(isset($_POST['name'])){
    $name = $_POST['name'];
    $mobile = $_POST['mobile'];
    $code = (!empty($_POST['code']))?$_POST['code']:'';
$countryNames = (!empty($_POST['countryName']))?$_POST['countryName']:'';
$countryName1= explode('(',$countryNames);
$countryName=$countryName1[0];
$code =$code!=''?$code:'91';
$countryName= $countryName!=''?$countryName:'India';
$mobileNumbers= '+'.$code.' - '.$mobile;
    $email = 'enquiry@webpulseindia.com';

    if($name != '' && $mobile != '' && $ip != '' ){
        if(strlen($mobile) != '10'){
            $resp = [
                'message_response' => 'Mobile Number must have 10 digits!!!',
                'status' => false
            ];
            echo json_encode($resp);
            exit;
        }


        $save_enquiry = "Insert into tbl_enquiry(en_name,en_zcode='$code',en_country_name='$countryName', en_mobile, en_url, en_ip) value('".$name."', '".$mobile."', '".$referer."','".$ip."')";
        $result = $dbconn->query($save_enquiry);

        
        $subject = utf8_encode($admin_res['subject']);
        $htmlContent =  '<table border="0" width="100%">
        <tbody>
  <tr>
    <td colspan="2">
      <strong>Dear Admin</strong></td>
  </tr>
  <tr>
    <td colspan="2">
      Enquiry Received with following info :</td>
  </tr>
  <tr>
    <td colspan="2">
      &nbsp;</td>
  </tr>
  <tr>
    <td width="26%">
      <strong>Post URL : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $referer . '</span></td>
  </tr>
   <tr>
    <td width="26%">
      <strong>Name : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $name . '</span></td>
  </tr>

 
 <tr>
    <td width="26%">
      <strong>Contact No : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $mobileNumbers . '</span></td>
  </tr>
   <tr>
    <td width="26%">
      <strong>Contact No : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $countryName . '</span></td>
  </tr>

</tbody>
       
        </table>';
                $to = $admin_res['email'];
        $to2 = $admin_res['cc'];
        $to3 = 'webpulseindia@gmail.com';

        
        if($to!='')
         {
         smtp_mailer($to, $email, $name, $subject, $htmlContent);
         }
         if($to2!='')
         {
         smtp_mailer($to2, $email, $name, $subject, $htmlContent);
         }
        if($to3){
         smtp_mailer($to3, $email, $name, $subject, $htmlContent);
        }
    
        $resp = ['message_response' => 'https://api.whatsapp.com/send?phone=919104978782&text=Hello, I was on Your Website '.$referer.' and wanted to Enquire about your Services.',
            'status' => true ];
        echo json_encode($resp);
        exit;

    }else {
        $resp = [
            'message_response' => 'All the fields are mandatory!!!',
            'status' => false
        ];
        echo json_encode($resp);
        exit;
    }
}
    
    